org.apache.ignite.cache.store.jdbc

## Class CacheAbstractJdbcStore.EntryMapping

- java.lang.Object
- - org.apache.ignite.cache.store.jdbc.CacheAbstractJdbcStore.EntryMapping

Enclosing class:
  CacheAbstractJdbcStore<K,V>

    protected static class CacheAbstractJdbcStore.EntryMapping
    extends Object

Entry mapping description.

### Constructor Summary

Constructors
Constructor and Description
`CacheAbstractJdbcStore.EntryMapping(String cacheName, JdbcDialect dialect, JdbcType typeMeta, CacheAbstractJdbcStore.TypeKind keyKind, CacheAbstractJdbcStore.TypeKind valKind)`

### Method Summary

Methods
`protected String` `fullTableName()` Get full table name.
`protected JdbcTypeField[]` `keyColumns()` Gets key columns.
`protected CacheAbstractJdbcStore.TypeKind` `keyKind()`
`protected String` `keyType()`
`protected String` `loadCacheRangeQuery(boolean appendLowerBound, boolean appendUpperBound)` Construct query for select values in range.
`protected String` `loadQuery(int keyCnt)` Construct query for select values with key count less or equal `maxKeysPerStmt`
`protected JdbcTypeField[]` `valueColumns()` Gets value columns.
`protected CacheAbstractJdbcStore.TypeKind` `valueKind()`
`protected String` `valueType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheAbstractJdbcStore.EntryMapping

    public CacheAbstractJdbcStore.EntryMapping(@Nullable
                                       String cacheName,
                                       JdbcDialect dialect,
                                       JdbcType typeMeta,
                                       CacheAbstractJdbcStore.TypeKind keyKind,
                                       CacheAbstractJdbcStore.TypeKind valKind)

Parameters:
  `cacheName` - Cache name.
  `dialect` - JDBC dialect.
  `typeMeta` - Type metadata.

### Method Detail

#### keyType

    protected String keyType()

Returns:
  Key type.

#### keyKind

    protected CacheAbstractJdbcStore.TypeKind keyKind()

Returns:
  Key type kind.

#### valueType

    protected String valueType()

Returns:
  Value type.

#### valueKind

    protected CacheAbstractJdbcStore.TypeKind valueKind()

Returns:
  Value type kind.

#### loadQuery

    protected String loadQuery(int keyCnt)

Construct query for select values with key count less or equal `maxKeysPerStmt`

Parameters:
  `keyCnt` - Key count.
Returns:
  Load query statement text.

#### loadCacheRangeQuery

    protected String loadCacheRangeQuery(boolean appendLowerBound,
                             boolean appendUpperBound)

Construct query for select values in range.

Parameters:
  `appendLowerBound` - Need add lower bound for range.
  `appendUpperBound` - Need add upper bound for range.
Returns:
  Query with range.

#### keyColumns

    protected JdbcTypeField[] keyColumns()

Gets key columns.

Returns:
  Key columns.

#### valueColumns

    protected JdbcTypeField[] valueColumns()

Gets value columns.

Returns:
  Value columns.

#### fullTableName

    protected String fullTableName()

Get full table name.

Returns:
  <schema>.<table name>

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016